{
    fvScalarMatrix hsEqn
    (
        fvm::ddt(rho, hs)
      + mvConvection->fvmDiv(phi, hs)
      - fvm::laplacian(turbulence->alphaEff(), hs)
     ==
         - fvc::div(phi, 0.5*magSqr(U), "div(phi,K)")
         + parcels.Sh(hs)
    );

    hsEqn.solve();
    thermo.correct();

    Info<< "T gas min/max   = " << min(T).value() << ", "
        << max(T).value() << endl;
}
