// writing statistical informations regarding time and similar
// data is written to a file

// update data
timeStatsHashTable["CPUTime"] = runTime.elapsedCpuTime();
timeStatsHashTable["clockTime"] = runTime.elapsedClockTime();
timeStatsHashTable["count"] += 1;

if (runTime.timeIndex() % logFrequency_ == 0
	|| runTime.outputTime())
{
    if (Pstream::master())
    {
	*timeInfoStreamPtr
	    << runTime.value() << "; "
	    << runTime.timeIndex() << "; "
	    << timeStatsHashTable["CPUTime"] << "; "
	    << timeStatsHashTable["clockTime"] << "; "
	    << timeStatsHashTable["CPUTimeCloud"] / max(timeStatsHashTable["countCloud"], 1) << "; "
	    << timeStatsHashTable["CPUTimeContinuousPhase"] / max(timeStatsHashTable["countContinuousPhase"], 1) << "; "

	    << endl;
    }

    timeStatsHashTable["count"] = 0;
    timeStatsHashTable["countContinuousPhase"] = 0;
    timeStatsHashTable["CPUTimeContinuousPhase"] = 0;
    timeStatsHashTable["countCloud"] = 0;
    timeStatsHashTable["CPUTimeCloud"] = 0;
}
